import { DeclareConstructor } from "dojo/_base/declare";

interface _ButtonMixin {
    /**
     * A mixin to add a thin standard API wrapper to a normal HTML button
     */
    label: string;

    /**
     * Type of button (submit, reset, button, checkbox, radio)
     */
    type: string;
    postCreate(): void;

    /**
     * Callback for when button is clicked.
     * If type="submit", return true to perform submit, or false to cancel it.
     */
    onClick(e: DocumentEvent): boolean;
    onSetLabel(e: DocumentEvent): void;
}

type _ButtonMixinConstructor = DeclareConstructor<_ButtonMixin>;
declare const _ButtonMixin: _ButtonMixinConstructor;
export = _ButtonMixin;
